// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::Dock;
use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlDockWindow")]
    pub struct DockWindow(Object<ffi::DzlDockWindow, ffi::DzlDockWindowClass>) @extends gtk::Window, gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable, Dock;

    match fn {
        type_ => || ffi::dzl_dock_window_get_type(),
    }
}

impl DockWindow {
    pub const NONE: Option<&'static DockWindow> = None;

    #[doc(alias = "dzl_dock_window_new")]
    pub fn new() -> DockWindow {
        assert_initialized_main_thread!();
        unsafe { gtk::Widget::from_glib_none(ffi::dzl_dock_window_new()).unsafe_cast() }
    }
}

impl Default for DockWindow {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for DockWindow {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("DockWindow")
    }
}
